> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener pago por ID

> Obtener detalles de pago por ID



## OpenAPI

````yaml get /payment/:paymentId
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /payment/:paymentId:
    get:
      tags:
        - Pagos
      summary: Obtener pago por ID
      description: Obtener detalles de pago por ID
      parameters:
        - schema:
            type: number
          required: true
          name: paymentId
          in: path
      responses:
        '200':
          description: Pago recuperado con éxito por ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  date:
                    type: string
                  status:
                    type: string
                    enum:
                      - PAID
                      - VOIDED
                      - CHARGEBACK
                  method:
                    type: string
                    enum:
                      - DEBIT_CARD
                      - CREDIT_CARD
                      - DIRECT_DEBIT
                      - CARD
                      - PAGO_FACIL
                      - RAPI_PAGO
                      - PAGO_MIS_CUENTAS
                      - LINK_PAGO
                      - TRANSFER
                      - CASH
                      - MERCADO_PAGO
                      - MERCADO_PAGO_POINT
                      - SIRO
                      - PAGOS360
                  totalAmount:
                    type: string
                  contacts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        lastName:
                          type: string
                          nullable: true
                        documentType:
                          type: string
                          nullable: true
                        documentNumber:
                          type: string
                          nullable: true
                        address:
                          type: string
                          nullable: true
                        externalReference:
                          type: string
                          nullable: true
                      required:
                        - id
                        - name
                        - lastName
                        - documentType
                        - documentNumber
                        - address
                        - externalReference
                  descriptions:
                    type: array
                    items:
                      type: string
                  auditUser:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: number
                      name:
                        type: string
                        nullable: true
                      lastName:
                        type: string
                        nullable: true
                      email:
                        type: string
                    required:
                      - id
                      - name
                      - lastName
                      - email
                  isManual:
                    type: boolean
                  payerContact:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: number
                        nullable: true
                      name:
                        type: string
                        nullable: true
                      lastName:
                        type: string
                        nullable: true
                      phoneNumber:
                        type: string
                        nullable: true
                      whatsappNumber:
                        type: string
                        nullable: true
                      email:
                        type: string
                        nullable: true
                      documentType:
                        type: string
                        nullable: true
                      documentNumber:
                        type: string
                        nullable: true
                      address:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - lastName
                      - phoneNumber
                      - whatsappNumber
                      - email
                      - documentType
                      - documentNumber
                      - address
                required:
                  - id
                  - date
                  - status
                  - method
                  - totalAmount
                  - contacts
                  - auditUser
                  - isManual
                  - payerContact
        '404':
          description: Pago no encontrado
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                message: Payment not found
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````